Package Details: mitmproxy-git 5.0.0.dev.a08c22d-1

Git Clone URL: https://aur.archlinux.org/mitmproxy-git.git (read-only, click to copy)
Package Base: mitmproxy-git
Description: An interactive TLS-capable intercepting HTTP proxy.
Upstream URL: https://mitmproxy.org/
Licenses: MIT
Conflicts: mitmproxy
Provides: mitmproxy
Submitter: alphazo
Maintainer: navigaid
Last Packager: navigaid
Votes: 22
Popularity: 0.000128
First Submitted: 2011-05-24 17:23
Last Updated: 2019-10-10 11:22

Latest Comments

1 2 3 4 5 Next › Last »

rageltman commented on 2021-01-15 01:22

Failing the check() step with:

[2021-01-14T21:17:35.664Z] running build_ext
[2021-01-14T21:17:35.664Z] ============================= test session starts ==============================
[2021-01-14T21:17:35.664Z] platform linux -- Python 3.9.1, pytest-6.2.1, py-1.10.0, pluggy-0.13.1
[2021-01-14T21:17:35.664Z] rootdir: /build/mitmproxy-git/src/mitmproxy, configfile: setup.cfg, testpaths: test
[2021-01-14T21:17:35.664Z] plugins: asyncio-0.14.0
[2021-01-14T21:17:35.664Z] collected 0 items / 1 error
[2021-01-14T21:17:35.664Z] 
[2021-01-14T21:17:35.664Z] ==================================== ERRORS ====================================
[2021-01-14T21:17:35.664Z] ________________________ ERROR collecting test session _________________________
[2021-01-14T21:17:35.664Z] /usr/lib/python3.9/importlib/__init__.py:127: in import_module
[2021-01-14T21:17:35.664Z]     return _bootstrap._gcd_import(name[level:], package, level)
[2021-01-14T21:17:35.664Z] <frozen importlib._bootstrap>:1030: in _gcd_import
[2021-01-14T21:17:35.664Z]     ???
[2021-01-14T21:17:35.664Z] <frozen importlib._bootstrap>:1007: in _find_and_load
[2021-01-14T21:17:35.664Z]     ???
[2021-01-14T21:17:35.664Z] <frozen importlib._bootstrap>:986: in _find_and_load_unlocked
[2021-01-14T21:17:35.664Z]     ???
[2021-01-14T21:17:35.664Z] <frozen importlib._bootstrap>:680: in _load_unlocked
[2021-01-14T21:17:35.664Z]     ???
[2021-01-14T21:17:35.664Z] /usr/lib/python3.9/site-packages/_pytest/assertion/rewrite.py:170: in exec_module
[2021-01-14T21:17:35.664Z]     exec(co, module.__dict__)
[2021-01-14T21:17:35.664Z] test/mitmproxy/proxy/conftest.py:4: in <module>
[2021-01-14T21:17:35.664Z]     from hypothesis import settings
[2021-01-14T21:17:35.664Z] E   ModuleNotFoundError: No module named 'hypothesis'
[2021-01-14T21:17:35.664Z] =========================== short test summary info ============================
[2021-01-14T21:17:35.664Z] ERROR  - ModuleNotFoundError: No module named 'hypothesis'
[2021-01-14T21:17:35.664Z] !!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
[2021-01-14T21:17:35.664Z] =============================== 1 error in 5.77s ===============================
[2021-01-14T21:17:35.664Z] ==> ERROR: A failure occurred in check().
script returned exit code 255

Flat commented on 2019-12-03 01:19

makedepends=('git') needs to be added to the PKGBUILD.

It also appears that the testing workflow has changed upstream.

hooxen commented on 2019-10-15 00:05

This hangs when running test_server.py from check forcing abort via keyboard interrupt. Anyone experience this or know how to bypass? I did not get the error when I installed from source from github using venv

navigaid commented on 2019-10-10 11:25

@plintb they are added, please check it out

plintb commented on 2019-10-09 18:22

The package now additionally requires python-zstandard>=0.11.0 and python-publicsuffix2>=2.20190812.

nomis6432 commented on 2019-09-01 13:55

The package is missing 2 dependencies: python-protobuf>=3.6.0 and python-brotli>=1.0.

Cyber_STX commented on 2019-02-01 07:03

Hi,

Installation fails during testing with a LOTS of errors.

Cheers.

Cyber_STX commented on 2018-07-24 04:09

Hi,

Unfortunately, it still fails, with the exact same error I posted on pastebin. I don't understand why. Using makepkg -cris.

EDIT: I managed to install it by:

  1. Installing python-protobuf
  2. In the PKGBUILD check() function:
  3. replace cd "$srcdir"/$_pkgname by cd "$srcdir"/$_pkgname/test/mitmproxy/addons
  4. replace "python setup.py pytest" by pytest -v

But after this, I got those errors when trying to launch it:

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 570, in _build_master ws.require(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 888, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 779, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (protobuf 3.5.2 (/usr/lib/python3.6/site-packages), Requirement.parse('protobuf>=3.6.0'), {'mitmproxy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/mitmproxy", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3095, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3079, in _call_aside f(args, *kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3108, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 572, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 585, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 774, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'protobuf>=3.6.0' distribution was not found and is required by mitmproxy </module></module>

FFY00 commented on 2018-07-18 17:52

Tests should be running fine now.

Cyber_STX commented on 2018-07-18 09:44

I cannot install this package. It fails during the check() with numerous errors.

https://pastebin.com/raw/FcAa5L1D